tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
TCLAP::ValueLike Struct Reference

A value like argument value type is a value that can be set using operator>>. More...

`#include <ArgTraits.h>`

## Public Types
typedef ValueLike | ValueCategory

## Public Member Functions
virtual | ~ValueLike ()

## Detailed Description

A value like argument value type is a value that can be set using operator>>.

This is the default value type.

Definition at line 38 of file ArgTraits.h.

## Member Typedef Documentation

typedef ValueLike TCLAP::ValueLike::ValueCategory

Definition at line 39 of file ArgTraits.h.

## Constructor & Destructor Documentation

virtual TCLAP::ValueLike::~ValueLike | ( |  | ) |
| inline virtual

Definition at line 40 of file ArgTraits.h.

The documentation for this struct was generated from the following file:

- ArgTraits.h